### org.jfree.layouting.input.style.parser.stylehandler.text

# Class TextDecorationReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.text.TextDecorationReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class TextDecorationReadHandler`
`extends OneOfConstantsReadHandler`
`implements CSSCompoundValueReadHandler`

Creation-Date: 03.12.2005, 19:06:09

Author:
  Thomas Morgner

  ## Constructor Summary

  `TextDecorationReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### TextDecorationReadHandler

    public TextDecorationReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()

> Specified by:
>   getAffectedKeys in interface CSSCompoundValueReadHandler